<?xml version="1.0" encoding="UTF-8" ?>
<Configuration status="trace" packages="gov.va.med.cds.log4j">
	<Properties>
		<Property name="log-path">servers/${sys:weblogic.Name}/logs</Property>
	</Properties>
	<Appenders>	
		<RollingFile name="ROLLING" fileName="${log-path}/fpds-development.log"
			filePattern="${log-path}/fpds-development-%i.log">
			<PatternLayout pattern="%-6r %d{ISO8601} [%15.15t] %-5p %30.30c %x - %m%n" />
			<Policies>
				<SizeBasedTriggeringPolicy size="5 MB" />
			</Policies>
			<DefaultRolloverStrategy max="3"/>
		</RollingFile>	
		
		<SpringAwareAppenderProxy name="JMS" 
			springConfigResourceType="CLASSPATH"
			springConfigurations="classpath:gov/va/med/cds/log4j/config/jms-app-logging-context.xml">
			<PatternLayout pattern="%-6r %d{ISO8601} [%10.10t] %-5p %40.40c %x - %m%n"/>
		</SpringAwareAppenderProxy>
	</Appenders>
	
	<Loggers>
	
		<Logger name="gov.va.med.repositories.fpds.webservice" level="FATAL" additivity="false">
		    <AppenderRef ref="JMS"/>
		</Logger>
		
		<Root level="ERROR">
			<AppenderRef ref="ROLLING" />
		</Root>
	</Loggers>
	
</Configuration>
